<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Hausmeister\Raumreservierung;

class RaumreservierungView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'hausmeister/raumreservierung/formular.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $dm = new \Datamodul();
    $dm->raumOptions = $this->viewModel->raumOptions;
    $dm->ansprechOptions = $this->viewModel->ansprechOptions;
    $dm->absender = $this->viewModel->absender;

    return array($dm);
  }
}

class RaumreservierungViewModel
{
  public $raumOptions;
  public $ansprechOptions;
  public $absender;
}